# Method SSL.File()->accept()

Method accept

  ``bool` accept(`string`|`void` `pending_data`)`

Description

  Configure as server and set up the connection.

Parameter `pending_data`

  Any data that has already been read from the stream. This is typically used with protocols that use START TLS or similar, where there's a risk that "too much" data (ie part of the TLS ClientHello) has been read from the stream before deciding that the connection is to enter TLS-mode.

Returns

  Returns `0` on handshaking failure in blocking mode, and otherwise `1`.

See also

  connect()